package com.syjy.calculate.conotroller;

import com.alibaba.fastjson.JSONObject;
import com.syjy.calculate.service.AccuracyPassRateCalculateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.*;

@RestController
@RequestMapping("/test")
public class test {
    @Autowired
    private AccuracyPassRateCalculateService accuracyPassRateCalculateService;

    @RequestMapping(value = "/test")
    public void saveElectricField() {
        // 测试数据组装
        List<Map<String, Object>> powerData = new ArrayList<>();
        Map<String, Object> dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(8));
        dataText.put("yc", new BigDecimal(7));
        powerData.add(dataText);
        dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(9));
        dataText.put("yc", new BigDecimal(7));
        powerData.add(dataText);

        dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(5));
        dataText.put("yc", new BigDecimal(6));
        powerData.add(dataText);

        dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(8));
        dataText.put("yc", new BigDecimal(8));
        powerData.add(dataText);

        BigDecimal rl = new BigDecimal("10");
        String provinceEnum = "E61";
        String type = "PASS";
        // 计算
        JSONObject jsonResult = accuracyPassRateCalculateService.calculate(powerData, rl, provinceEnum, type, new BigDecimal("80"));
        // 计算结果
        String reslut = jsonResult.getString("reslut");
        String accuracy = "";
        if ("success".equals(reslut)) {
            accuracy = jsonResult.getString("value");
        }
    }
}
